# Constant Field Values

## Contents

- javax.servlet.*

## javax.servlet.*

javax.servlet.AsyncContext
Modifier and Type
Constant Field
Value
`public static final String`
`ASYNC_CONTEXT_PATH`
`"javax.servlet.async.context_path"`
`public static final String`
`ASYNC_PATH_INFO`
`"javax.servlet.async.path_info"`
`public static final String`
`ASYNC_QUERY_STRING`
`"javax.servlet.async.query_string"`
`public static final String`
`ASYNC_REQUEST_URI`
`"javax.servlet.async.request_uri"`
`public static final String`
`ASYNC_SERVLET_PATH`
`"javax.servlet.async.servlet_path"`
javax.servlet.RequestDispatcher
Modifier and Type
Constant Field
Value
`public static final String`
`ERROR_EXCEPTION`
`"javax.servlet.error.exception"`
`public static final String`
`ERROR_EXCEPTION_TYPE`
`"javax.servlet.error.exception_type"`
`public static final String`
`ERROR_MESSAGE`
`"javax.servlet.error.message"`
`public static final String`
`ERROR_REQUEST_URI`
`"javax.servlet.error.request_uri"`
`public static final String`
`ERROR_SERVLET_NAME`
`"javax.servlet.error.servlet_name"`
`public static final String`
`ERROR_STATUS_CODE`
`"javax.servlet.error.status_code"`
`public static final String`
`FORWARD_CONTEXT_PATH`
`"javax.servlet.forward.context_path"`
`public static final String`
`FORWARD_PATH_INFO`
`"javax.servlet.forward.path_info"`
`public static final String`
`FORWARD_QUERY_STRING`
`"javax.servlet.forward.query_string"`
`public static final String`
`FORWARD_REQUEST_URI`
`"javax.servlet.forward.request_uri"`
`public static final String`
`FORWARD_SERVLET_PATH`
`"javax.servlet.forward.servlet_path"`
`public static final String`
`INCLUDE_CONTEXT_PATH`
`"javax.servlet.include.context_path"`
`public static final String`
`INCLUDE_PATH_INFO`
`"javax.servlet.include.path_info"`
`public static final String`
`INCLUDE_QUERY_STRING`
`"javax.servlet.include.query_string"`
`public static final String`
`INCLUDE_REQUEST_URI`
`"javax.servlet.include.request_uri"`
`public static final String`
`INCLUDE_SERVLET_PATH`
`"javax.servlet.include.servlet_path"`
javax.servlet.ServletContext
Modifier and Type
Constant Field
Value
`public static final String`
`ORDERED_LIBS`
`"javax.servlet.context.orderedLibs"`
`public static final String`
`TEMPDIR`
`"javax.servlet.context.tempdir"`

javax.servlet.http.HttpServletRequest
Modifier and Type
Constant Field
Value
`public static final String`
`BASIC_AUTH`
`"BASIC"`
`public static final String`
`CLIENT_CERT_AUTH`
`"CLIENT_CERT"`
`public static final String`
`DIGEST_AUTH`
`"DIGEST"`
`public static final String`
`FORM_AUTH`
`"FORM"`
javax.servlet.http.HttpServletResponse
Modifier and Type
Constant Field
Value
`public static final int`
`SC_ACCEPTED`
`202`
`public static final int`
`SC_BAD_GATEWAY`
`502`
`public static final int`
`SC_BAD_REQUEST`
`400`
`public static final int`
`SC_CONFLICT`
`409`
`public static final int`
`SC_CONTINUE`
`100`
`public static final int`
`SC_CREATED`
`201`
`public static final int`
`SC_EXPECTATION_FAILED`
`417`
`public static final int`
`SC_FORBIDDEN`
`403`
`public static final int`
`SC_FOUND`
`302`
`public static final int`
`SC_GATEWAY_TIMEOUT`
`504`
`public static final int`
`SC_GONE`
`410`
`public static final int`
`SC_HTTP_VERSION_NOT_SUPPORTED`
`505`
`public static final int`
`SC_INTERNAL_SERVER_ERROR`
`500`
`public static final int`
`SC_LENGTH_REQUIRED`
`411`
`public static final int`
`SC_METHOD_NOT_ALLOWED`
`405`
`public static final int`
`SC_MOVED_PERMANENTLY`
`301`
`public static final int`
`SC_MOVED_TEMPORARILY`
`302`
`public static final int`
`SC_MULTIPLE_CHOICES`
`300`
`public static final int`
`SC_NO_CONTENT`
`204`
`public static final int`
`SC_NON_AUTHORITATIVE_INFORMATION`
`203`
`public static final int`
`SC_NOT_ACCEPTABLE`
`406`
`public static final int`
`SC_NOT_FOUND`
`404`
`public static final int`
`SC_NOT_IMPLEMENTED`
`501`
`public static final int`
`SC_NOT_MODIFIED`
`304`
`public static final int`
`SC_OK`
`200`
`public static final int`
`SC_PARTIAL_CONTENT`
`206`
`public static final int`
`SC_PAYMENT_REQUIRED`
`402`
`public static final int`
`SC_PRECONDITION_FAILED`
`412`
`public static final int`
`SC_PROXY_AUTHENTICATION_REQUIRED`
`407`
`public static final int`
`SC_REQUEST_ENTITY_TOO_LARGE`
`413`
`public static final int`
`SC_REQUEST_TIMEOUT`
`408`
`public static final int`
`SC_REQUEST_URI_TOO_LONG`
`414`
`public static final int`
`SC_REQUESTED_RANGE_NOT_SATISFIABLE`
`416`
`public static final int`
`SC_RESET_CONTENT`
`205`
`public static final int`
`SC_SEE_OTHER`
`303`
`public static final int`
`SC_SERVICE_UNAVAILABLE`
`503`
`public static final int`
`SC_SWITCHING_PROTOCOLS`
`101`
`public static final int`
`SC_TEMPORARY_REDIRECT`
`307`
`public static final int`
`SC_UNAUTHORIZED`
`401`
`public static final int`
`SC_UNSUPPORTED_MEDIA_TYPE`
`415`
`public static final int`
`SC_USE_PROXY`
`305`